.m-multi-choice-mc11 {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    position: relative;
    .box-wrapper{
        flex: none !important;
        height: 400px !important;
        width: 280px;
        & > div{
            flex: none;
            width: 100%;
        }
        audio{
            transform: scale(0.9);
            width: 100%;
        }
    }

    .box-content-mc11{
        flex: 3; 
        margin-bottom: 2rem;
        .form-input-stretch{
            height: 4rem;
        }
    }

    .wrapper-table-mc11{
        position: relative;
        width: 100%;
        padding: 0 1rem;
        .question-table-mc11{
            width: 100%;
            border-radius: 8px;
            box-shadow: 0px 1px 4px rgb(115 132 152 / 20%);
            table-layout: fixed;
            background-color: white;
            overflow: hidden;
            margin-bottom: 1.6rem;
            thead{
                tr{
                    background-color: #5cb9d8;
                    th{
                        color: #ffffff;
                        font-size: 1.4rem;
                        font-weight: 400;
                        padding: 11px;
                        &:nth-child(1) {
                            width: 11rem;
                            min-width: 9rem;
                            text-align: left;
                        }
                        &:nth-child(2) {
                            width: 11rem;
                            min-width: 11rem;
                        }
                        &:nth-child(3) {
                            width: auto;
                        }
                        &:nth-child(4) {
                           width: 4rem;
                           min-width: 4rem;
                           padding: 0 4px
                        }
                    }
                }
            }
    
            tbody{
                tr{
                    td{
                        padding: 12px;
                        min-height: 60px;
                        position: relative;
                        &:nth-child(2){
                            padding: 0;
                        }
                        &.optional-toggle {
                            text-align: center;
                            border-right: 1px solid #d5dee8;

                            .error{
                                .rs-toggle-presentation{
                                    box-shadow: 0 0 0 0.15rem #dd3a09;
                                }
                            }
                        }

                        .rs-toggle {
                            .rs-toggle-presentation {
                                background: #67ab8d;
                                min-width: 80px;
                            }
                        }

                        .rs-toggle-checked {
                            .rs-toggle-presentation {
                                background: #f8c116 !important;
                            }
                        }
            
                        .image-input-mc11{
                            position: relative;
                        
                            .image-mc11{
                                display: flex;
                                justify-content: center;
                                align-items: center;
                                cursor: pointer;
                                border-radius: 8px;
                    
                                .image{
                                    position: relative;
                                    display: flex;
                                    width: 50px;
                                    min-width: 50px;
                                    height: 50px;
                                    padding: 1px;
                                    align-items: center;
                                    justify-content: space-around;
                                    border: 1px solid #cecece;
                                    border-radius: 8px;
                                    background-color: #fff;
                        
                                    .image-default{
                                        display: flex;
                                        align-items: center;
                                        width: max-content;
                                        
                                        img{
                                            width: 100%;
                                            height: auto;
                                        }
                                    }
                        
                                    img{
                                        width: 40px;
                                        height: 40px;
                                        border-radius: 5px;
                                        object-fit: contain; 
                                    }
                        
                                    input[type=file]{
                                        height: 50px;
                                        width: 50px;
                                        position: absolute;
                                        display: none;
                                    }
                                    &.error{
                                        box-shadow: 0 0 0 0.08rem #dd3a09;
                                    }
                                }
                                .label-image{
                                    .__text{
                                        color: #c3c3c3;
                                    }
                                }
                                &.error{
                                    box-shadow: 0 0 0 0.08rem #dd3a09;
                                }
                            }
                    
                            &___isDelete{
                            max-width: 17px;
                            max-height: 17px;
                            position: absolute;
                            top: -5px;
                            right: -5px;
                            cursor: pointer;
                            border: unset !important;
                            }

                            .label-image{
                            width: 100%;
                            color: #000;
                            margin-left: 10px;
                            }
                        }

                        .answer-table-mc-11{
                            width: 100%;
                            tr{ 
                                &:nth-child(even){
                                    background-color: #edf9fd;
                                }
                                &:not(:first-child){
                                    border-top: 1px solid #d5dee8;
                                }
                                td{
                                    padding: 7px 12px;
                                    &:nth-child(1){
                                        width: 11rem;
                                        min-width: 11rem;
                                        text-align: center;
                                    }
                                    &:nth-child(2){
                                        width: auto;
                                    }
                                    &:nth-child(3){
                                        width: 4rem;
                                        min-width: 4rem;
                                        padding: 0 4px;
                                        text-align: center;
                                    }
                                    &.add-item{
                                        text-align: left;
                                        padding: 12px;
                                    }
                                }
                            }

                            .checkbox-mc-11{
                                .rs-checkbox-wrapper{
                                    &::before{
                                        transform: scale(1.25);
                                        visibility: visible;
                                        border: 2px solid #cecece;
                                        opacity: 1;
                                        border-radius: 100%;
                                    }
                                }
                                .rs-checkbox-inner{
                                    &::before{
                                        top: 2px;
                                        left: 2px;
                                        width: 12px;
                                        height: 12px;
                                        border-radius: 100%;    
                                        border-color: transparent;   
                                    }
                                    &::after{
                                        transform: unset;
                                    }
                                }
                                &.rs-checkbox-checked{
                                    .rs-checkbox-wrapper{
                                        &::before{
                                            border-color: #5cb9d8;
                                        }   
                                    }
                                    .rs-checkbox-inner{
                                        &::before{
                                            background-color: #5cb9d8;
                                        }
                                        &::after{
                                            opacity: 0;
                                        }
                                    }
                                }
                                &.error{
                                    .rs-checkbox-wrapper{
                                        &::before{
                                            box-shadow: 0 0 0 0.08rem #dd3a09;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .ic-action {
                height: 15px;
                width: 14px;
                cursor: pointer;
                margin: auto;
            }

            .action{
                &-reverse{
                    background-color: rgba(255, 255, 255, 0.4);
                    border-radius: 8px;
                    .ic-action {
                        margin: 9px auto;
                    }
                }
            }

            .add-new-answer {
                cursor: pointer;
                color: #309fc3;
                font-weight: 500;
                &.error {
                    border: 1px solid #dd3a09;
                    border-radius: 8px;
                }
            }
        }

    }

    .btn-add-new-question {
        background-color: white;
        width: 15rem;
        color: #5CB9D8;
        font-weight: 600;
        border-radius: 8px;
        padding: 8px;
        &.error {
            border: 1px solid #dd3a09;
            border-radius: 8px;
        }
    }

    .render_error {
        margin-left: 1rem;
        display: flex;
        flex-direction: column;
        padding-bottom: 0.7rem;
        span {
            color: #ff0018;
            font-weight: 400;
            font-size: 1.2rem;
            padding-left: 2rem;
            padding-bottom: 1.5rem;
            padding-bottom: 0.8rem;
        }
    }

}
  